USN-4539-1: AWL vulnerability

24 September 2020

DAViCal Andrew's Web Libraries could be made to run programs as your login if it received specially crafted input.

Releases

Packages

  • awl - PHP Utility Libraries

Details

Andrew Bartlett discovered that DAViCal Andrew's Web Libraries (AWL) did
not properly manage session keys. An attacker could possibly use this
issue to impersonate a session. (CVE-2020-11728)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 20.04

In general, a standard system update will make all the necessary changes.

References